1 (edited by B4stiii 2011-02-05 22:21:35)

Topic: iRedMail on Nginx?

Hello,

i'm using Debian and i would like to install iRedMail but i do not user Apache2... I use Nginx...

My Problem. by the installation i got:


Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  php5-common: Recommends: php5-suhosin but it is not going to be installed
               Conflicts: php5-mhash
  php5-mhash: Depends: phpapi-20060613
              Depends: php5-common (= 5.2.6.dfsg.1-1+lenny9) but 5.3.5-0.dotdeb.0 is to be installed
E: Broken packages



Can soemone help me?



EDIT:

by the iredmail Installation, i got:

The following packages have unmet dependencies:
  php5-common: Recommends: php5-suhosin but it is not going to be installed
               Conflicts: php5-mhash
  php5-mhash: Depends: phpapi-20060613
              Depends: php5-common (= 5.2.6.dfsg.1-1+lenny9) but 5.3.5-0.dotdeb.0 is to be installed

2

Re: iRedMail on Nginx?

- Did you change some files of iRedMail?
- Which version of iRedMail do you use?

I suggest you try to install iRedMail with Apache first, then replace it by Nginx after installation completed successfully.

3

Re: iRedMail on Nginx?

Hey,

i use iRedMail 0.6.1 and I did not change any files...



I got my server yesterday. At first i did installl nginx... After that i want to install Iredmaill..

Now that errors...

4

Re: iRedMail on Nginx?

I agree with ZhangHuangbin: better to make the default iRedMail and then install Nginx. I have not used Dotdeb because the php that comes with it does not support the mhash and could not log into RoundCube because of that. What worked was to install the php default Debian